-- FCNDECL.ADA

-- PACKAGE THAT MAY BE MODIFIED TO DECLARE FUNCTIONS THAT RETURN
-- VALUES USABLE FOR INITIALIZATION OF CONSTANTS IN PACKAGE SPPRT13.

WITH SYSTEM;
PACKAGE FCNDECL IS
    -- INSERT FUNCTION DECLARATIONS AS NEEDED.

    -- THIS PACKAGE CONTAINS FUNCTIONS WHICH RETURN VALUES OF TYPE
    -- SYSTEM.ADDRESS.  THESE FUNCTIONS ARE USED BY PACKAGE SPPRT13.
 
    
    -- THE FUNCTION BODIES MUST CONFORM TO THE DESCRIPTIONS
    -- GIVEN IN THE COMMENTS FOLLOWING THE FUNCTION DECLARATIONS.
   

        FUNCTION VARIABLE_ADDRESS RETURN SYSTEM.ADDRESS;
            -- THIS FUNCTION MUST RETURN THE SAME VALUE AT EACH CALL.
            -- THE VALUE MUST BE A LEGITIMATE ADDRESS AT WHICH TO
            -- STORE A VARIABLE.
            -- IF THE IMPLEMENTATION DOES NOT PERMIT AN ADDRESS CLAUSE
            -- FOR A VARIABLE, THE FUNCTION MAY RETURN ANY VALUE.

        FUNCTION ENTRY_ADDRESS RETURN SYSTEM.ADDRESS;
            -- THIS FUNCTION MUST RETURN THE SAME VALUE AT EACH CALL.
            -- THE VALUE MUST BE A LEGITIMATE VALUE OF TYPE SYSTEM.ADDRESS
            -- APPROPRIATE FOR USE IN AN ADDRESS CLAUSE FOR A TASK ENTRY.
            -- IF THE IMPLEMENTATION DOES NOT PERMIT AN ADDRESS CLAUSE
            -- FOR AN ENTRY OF A TASK, THE FUNCTION MAY RETURN ANY VALUE.

   END FCNDECL;

   PACKAGE BODY FCNDECL IS

        FUNCTION VARIABLE_ADDRESS RETURN SYSTEM.ADDRESS IS
        BEGIN
          RETURN 0;
        END VARIABLE_ADDRESS;

        FUNCTION ENTRY_ADDRESS RETURN SYSTEM.ADDRESS IS
        BEGIN
          RETURN 0;
        END ENTRY_ADDRESS;
   
      END FCNDECL;
